import React from 'react';
import { Grid } from "@material-ui/core";
import { Alert } from "@material-ui/lab";

export default function IOCAlerts({ioc}) {
  return (
    <Grid container spacing={1}>
    {(ioc.alerts.map((alert) => (
      <Grid item xs={12} key={alert}>
        <Alert severity={alert.type === "ERROR" ? "error" : "warning"}>{alert.message}</Alert>
      </Grid>
    )))}
    </Grid>)
}