import React from 'react';
import { RootContainer } from "../../components/common/Container/RootContainer";
import AccessControl from "../../components/auth/AccessControl";
import { IOCDetailsContainer } from "./IOCDetailsContainer";
import { useGlobalAppBar } from '../../components/navigation/GlobalAppBar/GlobalAppBar';


export function IOCDetailsAccessControl({ match }) {
  const id = parseInt(match.params.id);
  useGlobalAppBar("IOC Details");
  console.log(id);

  return (
    <RootContainer>
      <AccessControl allowedRoles={["DeploymentToolAdmin", "DeploymentToolIntegrator"]}>
        <IOCDetailsContainer id={id} />
      </AccessControl>
    </RootContainer>
  );
}